consumers
Get Meter Readings
Returns a list of meter reading objects. Readings are unique through the timestamp, obis_number, device_identification. They can be modified only if the reading is canceled by the meter operator.
GET
/
v3
/
consumers
/
{userID}
/
contracts
/
{contractID}
/
meter_readings
/
Get Meter Readings
curl --request GET \
--url https://api.lumenaza.de/v3/consumers/{userID}/contracts/{contractID}/meter_readings/import requests
url = "https://api.lumenaza.de/v3/consumers/{userID}/contracts/{contractID}/meter_readings/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.lumenaza.de/v3/consumers/{userID}/contracts/{contractID}/meter_readings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"device_identification": "string",
"timestamp": "2022-10-01T10:00:00.000Z",
"reason": "Gerätewechsel",
"quality": "Abgelesener Wert",
"value": 0,
"obis_number": "string",
"is_cancelled": true,
"created": "2022-10-01T10:00:00.000Z",
"modified": "2022-10-01T10:00:00.000Z"
}
]
}{
"timestamp": [
"Datetime has wrong format."
]
}{
"detail": "Not found."
}Query Parameters
Minimum string length:
1A page number within the paginated result set.
Number of results to return per page.
⌘I
Get Meter Readings

